module PolyHarmonic

export
  lconstruction,
  rconstruction,
  eisenstein_spectral_point_expansion,
  poincare_spectral_point_expansion,
  weight,
  base_weight,
  depth,
  sympower,
  laplace,
  lowering,
  raising,
  mirror

using Test
using Nemo
using Nemo: Ring

import Base: show, *, -, iszero, ==
import Nemo: coefficients

include("Types.jl")
include("LRConstruction.jl")
include("SpectralPointExpansion.jl")

end
